Kitodo.Production
=================

Kitodo.Production is a workflow management tool for mass digitization and is part of the Kitodo Digital Library Suite.

Kitodo.Production supports various types of materials such as prints, periodicals, manuscripts, sheet music and typical documents of a *Nachlass*. The software is written in Java, uses Java Server Faces web technology to run on a [Tomcat Servlet container](http://tomcat.apache.org/), and is backed by a [MySQL](http://www.mysql.com) database utilizing the [Hibernate framework](http://www.hibernate.org) to access it.

For a complete overview of all features, visit the [Kitodo homepage](https://www.kitodo.org/software/kitodoproduction/features).

Kitodo. Digital Library Modules
-------------------------------

[Kitodo](https://github.com/kitodo) is an open source software suite intended to support mass digitization projects for cultural heritage institutions. Kitodo is widely used and cooperatively maintained by major German libraries and digitization service providers. The software implements international standards such as METS, MODS, ALTO, and other formats maintained by the Library of Congress. Kitodo consists of several independent modules serving different purposes such as controlling the digitization workflow, enriching descriptive and structural metadata, and presenting the results to the public in a modern and convenient way.

For more information, visit the [Kitodo homepage](https://www.kitodo.org). You can also follow Kitodo News on [Twitter](https://twitter.com/kitodo_org).

Getting started
---------------

* [Installation Guides](https://github.com/kitodo/kitodo-production/wiki/Installationsanleitung)
* [User documentation](https://github.com/kitodo/kitodo-production/wiki/)
* [Developer documentation](https://kitodo-production.readthedocs.io/en/latest/)
